Name:          prrte
Version:       3.0.9
Release:       1mamba
Summary:       PMIx Reference RunTime Environment (PRRTE)
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pmix.github.io/
Source:        https://github.com/openpmix/prrte.git/v%{version}/prrte-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libevent-devel
BuildRequires: libhwloc-devel
BuildRequires: libnl-devel
BuildRequires: libopenpmix-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
PMIx Reference RunTime Environment (PRRTE).

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.



%prep
%setup -q
./autogen.pl

%build
%configure \
  --sysconfdir=%{_sysconfdir}/%{name}

# prevent excessive overlinking due to libtool
sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

# Resolve conflict with pterm from putty package
mv %{buildroot}%{_bindir}/pterm{,-prrte}
mv %{buildroot}%{_mandir}/man1/pterm{,-prrte}.1

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%dir %{_sysconfdir}/prrte
%config %{_sysconfdir}/prrte/prte-default-hostfile
%config %{_sysconfdir}/prrte/prte-mca-params.conf
%config %{_sysconfdir}/prrte/prte.conf
%{_bindir}/pcc
%{_bindir}/prte
%{_bindir}/prte_info
%{_bindir}/prted
%{_bindir}/prterun
%{_bindir}/prun
%{_bindir}/pterm-prrte
%dir %{_datadir}/prte
%{_datadir}/prte/*
%{_mandir}/man1/prte.1*
%{_mandir}/man1/prte_info.1*
%{_mandir}/man1/prted.1*
%{_mandir}/man1/prterun.1*
%{_mandir}/man1/prun.1*
%{_mandir}/man1/pterm-prrte.1*
%{_mandir}/man5/prte.5*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libprrte.so.*
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/prte
%{_includedir}/prte/*
%{_includedir}/prte.h
%{_includedir}/prte_version.h
%{_libdir}/libprrte.so
%dir %{_docdir}/prrte
%dir %{_docdir}/prrte/html
%{_docdir}/prrte/html/*
%{_docdir}/prrte/html/.buildinfo
%doc README.md


%changelog
* Sun Mar 23 2025 Automatic Build System <autodist@openmamba.org> 3.0.9-1mamba
- automatic version update by autodist

* Sat Nov 16 2024 Automatic Build System <autodist@openmamba.org> 3.0.7-1mamba
- automatic version update by autodist

* Tue Jul 16 2024 Automatic Build System <autodist@openmamba.org> 3.0.6-1mamba
- automatic version update by autodist

* Fri Mar 22 2024 Automatic Build System <autodist@openmamba.org> 3.0.5-1mamba
- automatic version update by autodist

* Sun Feb 11 2024 Automatic Build System <autodist@openmamba.org> 3.0.4-1mamba
- automatic version update by autodist

* Sun Dec 31 2023 Automatic Build System <autodist@mambasoft.it> 3.0.3-1mamba
- automatic version update by autodist

* Thu Nov 02 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.2-2mamba
- rebuilt with openpmix

* Thu Nov 02 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.2-1mamba
- package created using the webbuild interface
